<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
	<th:block th:include="include :: header('题库列表')" />
	<th:block th:include="include :: element-css" />
</head>
<body class="gray-bg">
    <div class="container-div" id="app">
		<div class="row">
			<div class="col-sm-12 search-collapse">
				<form id="notice-form">
					<div class="select-list">
						<ul>
							<li>
								题目类型：<select name="quType" th:with="type=${@dict.getType('sys_qu_type')}">
								<option value="">请选择</option>
								<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictValue}"></option>
							</select>
							</li>
							<li>
								题目内容：<input type="text" name="content"/>
							</li>
							<li>
								<a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i class="fa fa-search"></i>&nbsp;搜索</a>
								<a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i class="fa fa-refresh"></i>&nbsp;重置</a>
							</li>
						</ul>
					</div>
				</form>
			</div>

	        <div class="btn-group-sm" id="toolbar" role="group">
		        <a class="btn btn-success" onclick="$.operate.addTab()" shiro:hasPermission="system:qu:add">
		            <i class="fa fa-plus"></i> 新增
		        </a>
		        <a class="btn btn-primary single disabled" onclick="$.operate.editTab()" shiro:hasPermission="system:qu:edit">
		            <i class="fa fa-edit"></i> 修改
		        </a>
		        <a class="btn btn-danger multiple disabled" onclick="$.operate.removeAll()" shiro:hasPermission="system:qu:remove">
		            <i class="fa fa-remove"></i> 删除
		        </a>
				<a class="btn btn-info" onclick="toImport()" shiro:hasPermission="system:qu:import">
					<i class="fa fa-upload"></i> 导入
				</a>
	        </div>
	        <div class="col-sm-12 select-table table-striped">
	            <table id="bootstrap-table"></table>
	        </div>
    	</div>
    </div>
    <th:block th:include="include :: footer" />
	<th:block th:include="include :: element-js" />
    <script th:inline="javascript">
        var editFlag = [[${@permission.hasPermi('system:qu:edit')}]];
        var removeFlag = [[${@permission.hasPermi('system:qu:remove')}]];
		var types = [[${@dict.getType('sys_qu_type')}]];
        var prefix = ctx + "system/qu";
        $(function() {
            var options = {
				uniqueId: "id",
                url: prefix + "/list",
                createUrl: prefix + "/add",
                updateUrl: prefix + "/edit/{id}",
                removeUrl: prefix + "/remove",
                modalName: "试题",
                columns: [{
		            checkbox: true
		        },
				{
					field: 'quType',
					title: '题目类型',
					align: 'center',
					formatter: function(value, row, index) {
						return $.table.selectDictLabel(types, value);
					}
				},
				{
					field : 'content',
					title : '题目内容',
					width: '60',
					widthUnit: '%',
					align: "left"
				},
				{
		            field: 'createTime',
		            title: '创建时间',
		            sortable: true
		        },
		        {
		            title: '操作',
		            align: 'center',
		            formatter: function(value, row, index) {
		            	var actions = [];
		            	actions.push('<a class="btn btn-success btn-xs ' + editFlag + '" href="javascript:void(0)" onclick="$.operate.editTab(\'' + row.id + '\')"><i class="fa fa-edit"></i>编辑</a> ');
                        actions.push('<a class="btn btn-danger btn-xs ' + removeFlag + '" href="javascript:void(0)" onclick="$.operate.remove(\'' + row.id + '\')"><i class="fa fa-remove"></i>删除</a>');
						return actions.join('');
		            }
		        }]
            };
            $.table.init(options);
        });
		function  toImport(){
			open("试题导入", prefix + "/toImport",'500','300');
		}
		// 弹出层指定宽度
		function open(title, url, width, height, callback) {
			// 如果是移动端，就使用自适应大小弹窗
			if ($.common.isMobile()) {
				width = 'auto';
				height = 'auto';
			}
			if ($.common.isEmpty(title)) {
				title = false;
			}
			if ($.common.isEmpty(url)) {
				url = "/404.html";
			}
			if ($.common.isEmpty(width)) {
				width = 800;
			}
			if ($.common.isEmpty(height)) {
				height = ($(window).height() - 50);
			}
			if ($.common.isEmpty(callback)) {
				callback = function(index, layero) {
					var iframeWin = layero.find('iframe')[0];
					iframeWin.contentWindow.submitHandler(index, layero);
				}
			}
			top.layer.open({
				type: 2,
				area: [width + 'px', height + 'px'],
				fix: false,
				//不固定
				maxmin: true,
				shade: 0.3,
				title: title,
				content: url,
				// 弹层外区域关闭
				shadeClose: true,
			});
		}
    </script>
</body>
</html>
